#!/usr/bin/python
from sys import platform, version, exit
from time import sleep

if platform == 'linux2':
    #Requires check
    #Python
    if float(version[:3]) < 2.4:
        print 'This program requires Python installation of 2.4 or above.'
        exit(1)
    #Bio
    try:
        import Bio
        #Bio.KDTree
        try:
            from Bio.KDTree import KDTree
        except ImportError:
            print 'Bio.KDTree package is missing. Your BioPython instalation is incomplete.'
            exit(1)
    except ImportError:
        print 'Biopython package is missing. You need to install BioPython >= 1.42.'
        exit(1)
    #wx
    try:
        from wxPython.wx import wxOK
    except ImportError:
        print 'wxPython package is missing. You need to install wxPython >= 2.61.'
        exit(1)
    #PIL
    try:
        import PIL
    except ImportError:
        print 'PIL package is missing. You need to install imaging >= 1.1.5.'
        exit(1)
    #PyMedia
    try:
        import pymedia
    except ImportError:
        print 'PyMedia package is missing. You need to install PyMedia from their www site: http://pymedia.org'
        exit(1)
    #PyExcelerator
    try:
        import pyExcelerator
    except ImportError:
        print 'PyExcelerator package is missing. You need to install PyExcelerator from their www site: http://sourceforge.net/projects/pyexcelerator/'
        exit(1)
    
import CMGUI
CMGUI.launch_gui()
